Loading...
Searching...
No Matches
MeasurementSet.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/ms/MeasurementSets/MSTable.h>`
`#include <casacore/ms/MeasurementSets/MSMainEnums.h>`
`#include <casacore/ms/MeasurementSets/MSAntenna.h>`
`#include <casacore/ms/MeasurementSets/MSDataDescription.h>`
`#include <casacore/ms/MeasurementSets/MSDoppler.h>`
`#include <casacore/ms/MeasurementSets/MSFeed.h>`
`#include <casacore/ms/MeasurementSets/MSField.h>`
`#include <casacore/ms/MeasurementSets/MSFlagCmd.h>`
`#include <casacore/ms/MeasurementSets/MSFreqOffset.h>`
`#include <casacore/ms/MeasurementSets/MSHistory.h>`
`#include <casacore/ms/MeasurementSets/MSObservation.h>`
`#include <casacore/ms/MeasurementSets/MSPointing.h>`
`#include <casacore/ms/MeasurementSets/MSPolarization.h>`
`#include <casacore/ms/MeasurementSets/MSProcessor.h>`
`#include <casacore/ms/MeasurementSets/MSSource.h>`
`#include <casacore/ms/MeasurementSets/MSSpectralWindow.h>`
`#include <casacore/ms/MeasurementSets/MSState.h>`
`#include <casacore/ms/MeasurementSets/MSSysCal.h>`
`#include <casacore/ms/MeasurementSets/MSWeather.h>`
`#include <set>`

Go to the source code of this file.

## Classes

class | casacore::MrsEligibility
class | casacore::MeasurementSet
| More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Typedefs

typedef MeasurementSet | casacore::MS
| MeasurementSet is too cumbersome for a number of common uses, so we give a typedef here.

## Functions

MrsEligibility | casacore::operator- (const MrsEligibility &a, MrsEligibility::SubtableId subtableId)
| Creates a new MrsEligibilitySet by adding or removing the specified subtable or the specified set of subtables.
MrsEligibility | casacore::operator+ (const MrsEligibility &a, MrsEligibility::SubtableId subtableId)
MrsEligibility | casacore::operator- (const MrsEligibility &a, const MrsEligibility &b)
MrsEligibility | casacore::operator+ (const MrsEligibility &a, const MrsEligibility &b)